
/* Function prototype declarations */

static void ReadFIFO();

static void WriteFIFO();

static  unsigned long eGetLCAIOConfigRegister();

static  unsigned long eGetLCAIOLocalRegister();

static  unsigned long eGetLCAIORegister();

static  unsigned long ulGetRegisterValue();

static float GetFloat(char *, float , float );

static  unsigned long GetHexLong(char *);

static unsigned short GetHexShort(char *);

static unsigned int GetInt(char *, unsigned int , unsigned int );

static long GetLong(char *);

static unsigned char YorN(char *);

static void ErrorMessage(char *, unsigned int );

int LCAIO_close(int );

int LCAIO_open(int);

int LCAIO_ioctl(int , int , void *);

int LCAIO_read(int , void *, size_t );

int LCAIO_write(int , const void *, size_t );

int LCAIO_ioctl_no_function(int );

int LCAIO_ioctl_read_register( int , unsigned long ,
                                       unsigned long *);

int LCAIO_ioctl_write_register(	int ,	unsigned long ,
					unsigned long );

int LCAIO_ioctl_int_notify ( int , unsigned long , 
				     unsigned long , 
				     unsigned long );

int LCAIO_ioctl_set_input_mode (int , unsigned int );

int LCAIO_ioctl_set_input_range (int , unsigned int );

int LCAIO_ioctl_set_data_format (int , unsigned int );

int LCAIO_ioctl_set_output_mode (int , unsigned long ,
					 unsigned char ,
					 unsigned char );
int LCAIO_ioctl_set_input_sync(int );

int LCAIO_ioctl_set_output_sync(int );

int LCAIO_ioctl_autocalibration(int );

int LCAIO_ioctl_initialize(int );

int LCAIO_ioctl_set_inputbuffer_threshold (int , unsigned int );

int LCAIO_ioctl_clear_input_buffer(int );

int LCAIO_ioctl_set_outputbuffer_threshold (int , unsigned int );

int LCAIO_ioctl_clear_output_buffer(int );

int LCAIO_ioctl_set_generator_A_rate(int , float );

int LCAIO_ioctl_set_generator_B_rate(int , float );

int LCAIO_ioctl_set_generator_A_enable(int , unsigned int );

int LCAIO_ioctl_set_generator_B_enable(int , unsigned int );

int LCAIO_ioctl_set_gen_b_clock_src(int , unsigned long );

int LCAIO_ioctl_set_input_scan ( int ,unsigned long , 
					unsigned long , 
					unsigned long ,
					unsigned long ,
					unsigned char );

int LCAIO_ioctl_set_output_scan ( int , unsigned long , 
					  unsigned long ,
					  unsigned long );

int LCAIO_ioctl_set_digital_io_dir ( int , unsigned long , 
					     unsigned long );

int LCAIO_ioctl_read_digital_io (int , unsigned long *);

int LCAIO_ioctl_set_digital_io (int , unsigned long );

int LCAIO_ioctl_read_aux_input (int , unsigned long );

int LCAIO_ioctl_set_aux_output (int , unsigned long );

int LCAIO_ioctl_get_device_error (int , unsigned long *);

int LCAIO_ioctl_read_pci_config_regs (int ,
			struct lcaio_pci_config_regs *);

int LCAIO_ioctl_read_local_config_regs (int , 
			struct lcaio_local_config_regs *);
int LCAIO_ioctl_write_pci_config_regs (int , unsigned long ,
					     unsigned long ); 
						
int LCAIO_ioctl_write_local_config_regs (int , 							unsigned long ,	unsigned long ); 
						
int LCAIO_ioctl_set_timeout(int , unsigned long );

int LCAIO_ioctl_set_dma_enable(int , unsigned int );

int LCAIO_ioctl_read_debug(int , unsigned long *);

